Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.param
Class ParamLinkTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.param.ParamLinkTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ParamLinkTag
extends javax.servlet.jsp.tagext.TagSupport

produces an <a href="..." > hyperlink. Stores a list of SessionParam instances. If the user clicks on the hyperlink, all these parameters will be added to the SessionParamPool.

Author:
  av
See Also:
  Serialized Form

Nested Class Summary
`static interface` | `ParamLinkTag.Action` Actions may be added to the link.
`static class` | `ParamLinkTag.InvokeMethodAction` invokes a Method with the signature methodName(RequestContext context) throws Exception;

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ParamLinkTag()`

Method Summary
`void` | `addAction(ParamLinkTag.Action a)`
`void` | `addParam(SessionParam p)`
`void` | `addParam(java.lang.String paramName, java.lang.String displayName, java.lang.String displayValue, java.lang.String sqlValue, java.lang.String mdxValue, java.lang.String textValue)` creates a SessionParam from the arg list and adds it to the list of parameters
`int` | `doEndTag()`
`int` | `doStartTag()`
`java.lang.String` | `getTarget()`
`java.lang.String` | `getTextValue()`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setDisplayValue(java.lang.String displayValue)`
`void` | `setMdxValue(java.lang.String mdxValue)`
`void` | `setPage(java.lang.String page)`
`void` | `setParamName(java.lang.String paramName)`
`void` | `setSqlValue(java.lang.String sqlValue)`
`void` | `setTarget(java.lang.String target)`
`void` | `setTextValue(java.lang.String textValue)`
`void` | `setToken(boolean token)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamLinkTag

    public ParamLinkTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### addParam

    public void addParam(java.lang.String paramName,
                         java.lang.String displayName,
                         java.lang.String displayValue,
                         java.lang.String sqlValue,
                         java.lang.String mdxValue,
                         java.lang.String textValue)

  creates a SessionParam from the arg list and adds it to the list of parameters

  Parameters:
    `paramName` -
    `displayName` -
    `displayValue` -
    `sqlValue` -
    `mdxValue` -
    `textValue` -

### addParam

    public void addParam(SessionParam p)

  Parameters:
    `p` -

### addAction

    public void addAction(ParamLinkTag.Action a)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### setDisplayValue

    public void setDisplayValue(java.lang.String displayValue)

### setMdxValue

    public void setMdxValue(java.lang.String mdxValue)

### setParamName

    public void setParamName(java.lang.String paramName)

### setSqlValue

    public void setSqlValue(java.lang.String sqlValue)

### setPage

    public void setPage(java.lang.String page)

### getTextValue

    public java.lang.String getTextValue()

### setTextValue

    public void setTextValue(java.lang.String textValue)

### setTarget

    public void setTarget(java.lang.String target)

### getTarget

    public java.lang.String getTarget()

### setToken

    public void setToken(boolean token)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD